<!DOCTYPE html>
<html>

<head>
    <title>Create Address</title>
    <link rel="stylesheet" href="CSS/bootstrap.min.css">
    <link rel="stylesheet" href="CSS/main.css">
    <link rel="icon" type="image/ico" href="images/ripple-icon.png">
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="index.html">XRP-COP</a>        
        <a href="check_address.html" class="nav-item">Check Address</a>
        <a href="create_payment.html" class="nav-item">Create Payment</a>
        <span style="min-width: 200px;"></span>
        <a href="https://xrpl.org/get-started-with-rippleapi-for-javascript.html" class="nav-item navdar-text"
            target="_blank">RippleAPI for JavaScript</a>
    </nav>

    <div>
        <span style="float: right; border: 10px 20px; position: fixed; right: 20px; top: 10px">
            <button class="btn btn-sm btn-secondary" id="TestNetButton">TestNet</button>
            &nbsp;<button class="btn btn-sm btn-primary" id="MainNetButton">MainNet</spbuttonan>
        </span>
    </div>

    <h1 class="page-title">Create Address</h1>

    <p>Documentation on Account and Address<a href="https://xrpl.org/accounts.html" target="_blank">xrpl.org/accounts.html</a></p>

    <div class="container" style="margin-top: 5%;">    
        <label>Algorithm</label>
        <div class="form-check">                
            <input type="radio" id="alg_1" name="alg" class="form-check-input" value="ecdsa-secp256k1" checked>  
            <label for="alg_1" class="form-check-label">ecdsa-secp256k1</label>
        </div>
        <div class="form-check">    
            <input type="radio" id="alg_2" name="alg" class="form-check-input"  value="ed25519">  
            <label for="alg_2" class="form-check-label">ed25519</label>
        </div>
        <p></p>

        <div id="error" style="display: none; margin-bottom: 15px;" class="alert alert-danger"></div>
        <button type="submit" id="submitButton" class="btn btn-primary">Create new address</button>        
    </div>

    <div class="container" id="resultContainer" style="margin-top: 5%; display: none;">
        <table class="table">
            <tr>
                <th>Address</th><td id="tdAddress"></td>
            </tr>
            <tr>
                <th>Secret</th><td id="tdSecret"></td>
            </tr>
            <tr>
                <th>X address</th><td>https://xrpaddress.info/</td>
            </tr>
            <tr>
                <th>Algorithm</th><td id="tdAlgorithm" style="color:#999999"></td>
            </tr>
        </table>
    </div>

    <script src="JS/libs/lodash.min.js"></script>
    <script src="JS/libs/jquery-3.4.1.min.js"></script>
    <!-- copied from node_modules/ruipple-lib/build -->
    <script src="JS/libs/ripple-1.3.4-min.js"></script>
    <script src="JS/main.js"></script>
    <script src="JS/create_address.js"></script>

</body>

</html>